Skip to content
Guides
API reference
stablenotification:read

Get template

GET/v1/notifications/templates/{templateKey}

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

templateKey*string

Query Parameters

channel*string

Value in

  • "email"
  • "sms"
  • "push"
  • "whatsApp"
  • "inApp"
  • "webhook"
locale?string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/notifications/templates/string?channel=email"
{  "id": "string",  "tenantId": "string",  "storeId": null,  "key": "string",  "group": "string",  "name": "string",  "notification": "email",  "locale": null,  "version": 0,  "subjectTpl": null,  "exampleData": null,  "bodyTpl": "string",  "textTpl": null,  "status": "draft"}